#!bin/bash
# kötegelt konvertálás svg formátumból pdf (vagy más) formátumba inkscape-pel
# használat bash img2img.sh [beformátum] [kiformátum]
# beformátum : bemeneti fileformátum (alapértelmezés: svg)
# kiformátum : kimeneti fileformátum (alapértelmezés: pdf) kell hozzá beformátum

if [ "$1" != "" ] ; then
	if [ "$2" != "" ] ; then
		informat=$1
	else
		outformat=$1
		informat="svg"
	fi
else
	informat="svg"
	outformat="pdf"
fi
for i in `ls *.$informat`
do
	out="${i:0:`echo $(echo $i|wc -c) - 5 | bc`}.$outformat"	# a kimeneti szting kézpése (lecseréljük a .svg végződést)
	echo "$i -> $out"
	[ -e "$out" ] && rm $out	# az esetleges előző kimenet törlése
	inkscape $i --export-$outformat=$out --without-gui	# konvertálás
done

